Package org.apache.solr.common.params

# Interface TermsParams

public interface TermsParams

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`TermsParams.TermsRegexpFlag`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`TERMS`
The component name.
`static final String`
`TERMS_FIELD`
Required.
`static final String`
`TERMS_LIMIT`
Optional.
`static final String`
`TERMS_LIST`
Optional.
`static final String`
`TERMS_LOWER`
Optional.
`static final String`
`TERMS_LOWER_INCLUSIVE`
Optional.
`static final String`
`TERMS_MAXCOUNT`
Optional.
`static final String`
`TERMS_MINCOUNT`
Optional.
`static final String`
`TERMS_PREFIX`
Used for building up the other terms
`static final String`
`TERMS_PREFIX_STR`
`static final String`
`TERMS_RAW`
Optional.
`static final String`
`TERMS_REGEXP_FLAG`
`static final String`
`TERMS_REGEXP_STR`
`static final String`
`TERMS_SORT`
Optional.
`static final String`
`TERMS_SORT_COUNT`
`static final String`
`TERMS_SORT_INDEX`
`static final String`
`TERMS_STATS`
Optional.
`static final String`
`TERMS_TTF`
Optional.
`static final String`
`TERMS_UPPER`
Optional.
`static final String`
`TERMS_UPPER_INCLUSIVE`
Optional.

## Field Details

### TERMS

static final String TERMS
The component name. Set to true to turn on the TermsComponent

See Also:
  - Constant Field Values

### TERMS_PREFIX

static final String TERMS_PREFIX
Used for building up the other terms

See Also:
  - Constant Field Values

### TERMS_FIELD

static final String TERMS_FIELD
Required. Specify the field to look up terms in.

See Also:
  - Constant Field Values

### TERMS_LIST

static final String TERMS_LIST
Optional. The list of terms to be retrieved.

See Also:
  - Constant Field Values

### TERMS_STATS

static final String TERMS_STATS
Optional. If true, also returns index-level statistics, such as numDocs.

See Also:
  - Constant Field Values

### TERMS_TTF

static final String TERMS_TTF
Optional. If true, also returns terms' total term frequency.

See Also:
  - Constant Field Values

### TERMS_LOWER

static final String TERMS_LOWER
Optional. The lower bound term to start at. The TermEnum will start at the next term after this term in the dictionary.

If not specified, the empty string is used

See Also:
  - Constant Field Values

### TERMS_UPPER

static final String TERMS_UPPER
Optional. The term to stop at.

See Also:
  - `TERMS_UPPER_INCLUSIVE`
  - Constant Field Values

### TERMS_UPPER_INCLUSIVE

static final String TERMS_UPPER_INCLUSIVE
Optional. If true, include the upper bound term in the results. False by default.

See Also:
  - Constant Field Values

### TERMS_LOWER_INCLUSIVE

static final String TERMS_LOWER_INCLUSIVE
Optional. If true, include the lower bound term in the results, otherwise skip to the next one. True by default.

See Also:
  - Constant Field Values

### TERMS_LIMIT

static final String TERMS_LIMIT
Optional. The number of results to return. If not specified, looks for `CommonParams.ROWS`. If that's not specified, uses `CommonParams.ROWS_DEFAULT`.

See Also:
  - Constant Field Values

### TERMS_PREFIX_STR

static final String TERMS_PREFIX_STR

See Also:
  - Constant Field Values

### TERMS_REGEXP_STR

static final String TERMS_REGEXP_STR

See Also:
  - Constant Field Values

### TERMS_REGEXP_FLAG

static final String TERMS_REGEXP_FLAG

See Also:
  - Constant Field Values

### TERMS_MINCOUNT

static final String TERMS_MINCOUNT
Optional. The minimum value of docFreq to be returned. 1 by default

See Also:
  - Constant Field Values

### TERMS_MAXCOUNT

static final String TERMS_MAXCOUNT
Optional. The maximum value of docFreq to be returned. -1 by default means no boundary

See Also:
  - Constant Field Values

### TERMS_RAW

static final String TERMS_RAW
Optional. If true, return the raw characters of the indexed term, regardless of if it is readable. For instance, the index form of numeric numbers is not human-readable. The default is false.

See Also:
  - Constant Field Values

### TERMS_SORT

static final String TERMS_SORT
Optional. If sorting by frequency is enabled. Defaults to sorting by count.

See Also:
  - Constant Field Values

### TERMS_SORT_COUNT

static final String TERMS_SORT_COUNT

See Also:
  - Constant Field Values

### TERMS_SORT_INDEX

static final String TERMS_SORT_INDEX

See Also:
  - Constant Field Values